---
title: "Get specific Supplier Return Item by Supplier Return id and Supplier Return Item id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-supplierreturns-id-supplierreturnitems-item_id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Get specific Supplier Return Item by Supplier Return id and Supplier Return Item id

`GET` `/supplierreturns/{id}/supplierreturnitems/{item_id}`

Operation ID: `get-supplierreturns-id-supplierreturnitems-item_id`

Get specific Supplier Return Item by Supplier Return id and Supplier Return Item id

## Path parameters

- `id` (integer, int32, required) - Supplier Return id
- `item_id` (integer, int32, required) - Supplier Return Item id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Supplier Return Item
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Supplier Return Item not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /supplierreturns/{id}/supplierreturnitems/{item_id}:
    get:
      tags:
        - supplierreturns
      summary: Get specific Supplier Return Item by Supplier Return id and Supplier
        Return Item id
      description: Get specific Supplier Return Item by Supplier Return id and
        Supplier Return Item id
      operationId: get-supplierreturns-id-supplierreturnitems-item_id
      parameters:
        - name: id
          in: path
          description: Supplier Return id
          required: true
          schema:
            type: integer
            description: Supplier Return id
            format: int32
        - name: item_id
          in: path
          description: Supplier Return Item id
          required: true
          schema:
            type: integer
            description: Supplier Return Item id
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Supplier Return Item
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SupplierReturnItem"
              example:
                id: 0
                supplier_return_id: 0
                product:
                  id: 0
                  supplier_sku: string
                  manufacturer_sku: string
                  supplier_sku2: string
                  short_description: string
                  size:
                    id: 0
                    name: string
                    list_order: 0
                  colour:
                    id: 0
                    name: string
                    list_order: 0
                supplier_return_reason:
                  id: 0
                  name: string
                  created_on: string
                  modified_on: string
                  deleted: false
                  deleted_on: string
                credit_note_item:
                  id: 0
                  credit_note_id: 0
                  credit_amount_ex: 0
                  total_credit_amount_ex: 0
                  total_credit_amount_inc: 0
                return_quantity: 0
                original_buy_ex: 0
                total_original_buy_ex: 0
                supplier_return_item_status:
                  id: 0
                  name: string
                supplier_return_item_source:
                  id: 0
                  name: string
                original_supplier_invoice: string
                claim_amount_ex: 0
                supplier_return_item_notes: string
                total_claim_amount_ex: 0
                total_claim_amount_tax: 0
                total_claim_amount_inc: 0
                created_on: string
                modified_on: string
                created_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                modified_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Supplier Return Item not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    SupplierReturnItem:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Return Item identifier
          format: int32
        supplier_return_id:
          type: integer
          description: Supplier Return id
          format: int32
        product:
          $ref: "#/components/schemas/SupplierReturnItemProduct"
        supplier_return_reason:
          $ref: "#/components/schemas/SupplierReturnReasons"
        credit_note_item:
          $ref: "#/components/schemas/CreditNoteItemExtended"
        return_quantity:
          type: integer
          description: Return Quantity
          format: int32
          nullable: true
        original_buy_ex:
          type: number
          description: Supplier price ex
          format: double
          nullable: true
        total_original_buy_ex:
          type: number
          description: Total supplier buy ex
          format: double
          nullable: true
        supplier_return_item_status:
          $ref: "#/components/schemas/SupplierReturnItemStatus"
        supplier_return_item_source:
          $ref: "#/components/schemas/SupplierReturnItemSource"
        original_supplier_invoice:
          type: string
          description: Supplier invoice number
          nullable: true
        claim_amount_ex:
          type: number
          description: Claim amount ex
          format: double
          nullable: true
        supplier_return_item_notes:
          type: string
          description: Notes
          nullable: true
        total_claim_amount_ex:
          type: number
          description: Total claim amount ex
          format: double
          nullable: true
        total_claim_amount_tax:
          type: number
          description: Total claim amount tax
          format: double
          nullable: true
        total_claim_amount_inc:
          type: number
          description: Total claim amount inc
          format: double
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
        created_by:
          $ref: "#/components/schemas/UserExtended"
        modified_by:
          $ref: "#/components/schemas/UserExtended"
      additionalProperties: false
      description: Supplier Return Item
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    SupplierReturnItemProduct:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Product Id.
          format: int32
          nullable: true
        supplier_sku:
          type: string
          description: Supplier SKU.
          nullable: true
        manufacturer_sku:
          type: string
          description: Manufacture SKU
          nullable: true
        supplier_sku2:
          type: string
          description: Supplier SKU 2.
          nullable: true
        short_description:
          type: string
          description: Product description.
          nullable: true
        size:
          $ref: "#/components/schemas/AttributeValueLimited"
        colour:
          $ref: "#/components/schemas/AttributeValueLimited"
      additionalProperties: false
      description: Supplier Return Item Product Model
    SupplierReturnReasons:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Return Reason Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Supplier Return Reason name
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
        deleted:
          type: boolean
          description: Is Supplier Return Reason deleted
          default: false
        deleted_on:
          type: string
          description: Deleted on
          format: date-time
          nullable: true
      additionalProperties: false
      description: Supplier Return Reason model
    CreditNoteItemExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Credit Note Item id
          format: int32
          nullable: true
        credit_note_id:
          type: integer
          description: Credit Note id
          format: int32
        credit_amount_ex:
          type: number
          description: Credit Amount Ex
          format: double
          nullable: true
        total_credit_amount_ex:
          type: number
          description: Total Credit Amount Ex
          format: double
          nullable: true
        total_credit_amount_inc:
          type: number
          description: Total Credit Amount Inc
          format: double
          nullable: true
      additionalProperties: false
    SupplierReturnItemStatus:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Return Item Status Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Supplier Return Item Status name
          nullable: true
      additionalProperties: false
      description: Supplier Return Item Status Model
    SupplierReturnItemSource:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Return Item source Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Supplier Return Item source name
          nullable: true
      additionalProperties: false
      description: Supplier Return Item Product Model
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
    AttributeValueLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Attribute Value Id
          format: int32
          nullable: true
        name:
          type: string
          description: Attribute Value Name
          nullable: true
        list_order:
          type: integer
          description: Attribute Value List Order
          format: int32
          nullable: true
      additionalProperties: false
```
